apiVersion: v1
kind: Pod
metadata:
  name: app-pod
  labels:
    app: app
spec:
  volumes:
  - name: shared-storage
    emptyDir: {}
  containers:
  - name: app-container
    image: busybox
    command: ['sh', '-c', 'cat /data/config && sleep 3600']
    volumeMounts:
    - name: shared-storage
      mountPath: /data/
  initContainers:
  - name: app-init-container
    image: busybox
    command: ['sh', '-c', 'echo success > /data/config']
    volumeMounts:
    - name: shared-storage
      mountPath: /data/